rte_swx_port_out_ops(3)

NAME
rte_swx_port_out_ops

SYNOPSIS

#include <rte_swx_port.h>

  Data Fields

rte_swx_port_out_create_t create
rte_swx_port_out_free_t free
rte_swx_port_out_pkt_tx_t pkt_tx
rte_swx_port_out_pkt_fast_clone_tx_t pkt_fast_clone_tx
rte_swx_port_out_pkt_clone_tx_t pkt_clone_tx
rte_swx_port_out_flush_t flush
rte_swx_port_out_stats_read_t stats_read

Detailed Description

Output port operations.

Definition at line 216 of file rte_swx_port.h.

Field Documentation

  rte_swx_port_out_create_t create
Create. Must be non-NULL.

Definition at line 218 of file rte_swx_port.h.

  rte_swx_port_out_free_t free
Free. Must be non-NULL.

Definition at line 221 of file rte_swx_port.h.

  rte_swx_port_out_pkt_tx_t pkt_tx
Packet transmission. Must be non-NULL.

Definition at line 224 of file rte_swx_port.h.

  rte_swx_port_out_pkt_fast_clone_tx_t pkt_fast_clone_tx
Packet fast clone and transmission. Must be non-NULL.

Definition at line 227 of file rte_swx_port.h.

  rte_swx_port_out_pkt_clone_tx_t pkt_clone_tx
Packet clone and transmission. Must be non-NULL.

Definition at line 230 of file rte_swx_port.h.

  rte_swx_port_out_flush_t flush
Flush. May be NULL.

Definition at line 233 of file rte_swx_port.h.

  rte_swx_port_out_stats_read_t stats_read
Statistics counters read. Must be non-NULL.

Definition at line 236 of file rte_swx_port.h.

Author

Generated automatically by Doxygen for DPDK from the source code.